This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 492289 - Nouveau driver fail on X initialization - QA Test Day
Nouveau driver fail on X initialization - QA Test Day
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 07:09 EDT by Marco Somoza
Modified: 2009-06-16 20:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 20:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log after xstart (12.18 KB, text/plain)
2009-03-29 21:10 EDT, Marco Somoza
no flags Details
The only file in /var/run/nv*.rom is nv84_0402.rom (57.50 KB, application/octet-stream)
2009-04-19 23:00 EDT, Marco Somoza
no flags Details
File from test on day 04/23/2009 (12.34 KB, application/octet-stream)
2009-04-23 18:29 EDT, Marco Somoza
no flags Details
dmesg command output before startx (34.68 KB, text/plain)
2009-05-06 00:12 EDT, Marco Somoza
no flags Details
dmesg command output after startx (34.81 KB, text/plain)
2009-05-06 00:12 EDT, Marco Somoza
no flags Details

  None (edit)
Description Marco Somoza 2009-03-26 07:09:59 EDT
The X initialization fails with the Nouveau driver.

I just see lines in text mode with the message:

[drm]nouveuan_fifo_free:freeing_fifo_1

Hardware profile:
http://www.smolts.org/show?uuid=pub_afa03b4b-b72b-452d-8866-716536539191
Comment 1 Adam Williamson 2009-03-27 16:41:34 EDT
Can you do anything at that point?

Can you boot to runlevel 3 (instructions in the X restart test case) and run 'startx' and see if that gets any more useful information?

Can you try the KMS test case and see if it works in that situation? One guy found it worked *with* KMS but not without on his system - which is unusual, but it'd be worth testing here.

thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Marco Somoza 2009-03-27 21:54:08 EDT
I've done both tests and the result is:

Test 1-runlevel 3 and run startx:

I get the following message:

NOUVEAU(0): 1411 : no valid modes
screens(s) found, but none have a usable configuration
Fatal server error: no screens found.

Test 2-KMS test

It works! and detects my monitor LG 1680x1050.


If I can help please just ask, and thank you for the good work.

Marco
Comment 3 Ben Skeggs 2009-03-29 18:31:43 EDT
Hey there!  Can I get your /var/log/Xorg.0.log from after starting X has failed without kms?  I have an idea what's wrong here, but want to confirm.

Thanks!
Comment 4 Marco Somoza 2009-03-29 21:10:28 EDT
Created attachment 337188 [details]
Xorg.0.log after xstart

The xorg.0.log file after xstart command.
Comment 5 Marco Somoza 2009-03-29 21:13:11 EDT
I attached the xorg.0.log as asked. ok?

Best regards
Comment 6 Adam Williamson 2009-03-30 15:40:05 EDT
Thanks, Marco.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Ben Skeggs 2009-03-30 21:16:17 EDT
Thanks Marco.  Could you also attach /var/run/nv*.rom after you've tried to run nouveau?
Comment 8 Ben Skeggs 2009-04-03 00:25:42 EDT
I took a bit of a guess at what's wrong here, but can't be certain as I never got a VBIOS image to look at...  Do things work better with xorg-x11-drv-nouveau-0.0.12-21.20090403git11be9a9.fc11 ?
Comment 9 Adam Williamson 2009-04-17 17:20:51 EDT
Any update, Marco?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Marco Somoza 2009-04-19 22:58:13 EDT
First of all sorry for the delay!
I had to move to a new house. :)

I have tested F11 Beta and:

1-Normal boot fails and the box freeze.

2-booting with nouveau.modset=1 works AND I will attach the file
  /var/run/nv84_0402.rom

regards
Marco
Comment 11 Marco Somoza 2009-04-19 23:00:55 EDT
Created attachment 340280 [details]
The only file in /var/run/nv*.rom is nv84_0402.rom
Comment 12 Ben Skeggs 2009-04-19 23:16:26 EDT
What version of xorg-x11-drv-nouveau did you test with?  The fixes I was thinking of are in -21.

Thanks!
Comment 13 Marco Somoza 2009-04-21 15:49:08 EDT
I tested with F11 Live Beta x86_64.

I can test other version, just guide me, please. :)

Thank you
Marco
Comment 14 Adam Williamson 2009-04-21 16:27:47 EDT
we need to know what version of nouveau is on there - we don't know that offhand. 'rpm -q xorg-x11-drv-nouveau' from that live CD should tell you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Marco Somoza 2009-04-21 18:01:40 EDT
The Output for command is:

xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11.x86_64

regards
Marco
Comment 16 Adam Williamson 2009-04-21 18:28:00 EDT
ah - that one's not new enough to tell :( could you possibly try with the fedora 11 snapshot live CD? you can find it here: http://torrent.fedoraproject.org/ thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Marco Somoza 2009-04-23 18:28:01 EDT
well, I did a new test with fedora 11 live snapshot CD x86_64, date 04/10/09.

rpm -q xorg-x11-drv-nouveau outputs:

xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.fc11.x86_64.

unfortunately same error.

I'll attach the Xorg.0.log

Thanks
Marco
Comment 18 Marco Somoza 2009-04-23 18:29:52 EDT
Created attachment 341031 [details]
File from test on day 04/23/2009

File from test on day 04/23/2009
Comment 19 Ben Skeggs 2009-05-03 23:34:31 EDT
Are you able to do a kms boot into runlevel 3 with nouveau.debug=1 on the commandline, and attach the output of "dmesg" for me?  Thanks!
Comment 20 Marco Somoza 2009-05-06 00:08:10 EDT
Yes, I did the test and that's what happened:

I booted the last F11 preview with:

1-   kernel parameters 3 and nouveau.debug=1

2-   logged as root

3-   dmesg > dmesg1.txt

4-   startx (IT WORKED AND gnome performed well)

5-   dmesg > dmesg2.txt


If you need any further information, just ask!

Thank you
Marco
Comment 21 Marco Somoza 2009-05-06 00:12:12 EDT
Created attachment 342590 [details]
dmesg command output before startx
Comment 22 Marco Somoza 2009-05-06 00:12:51 EDT
Created attachment 342591 [details]
dmesg command output after startx
Comment 23 Bug Zapper 2009-06-09 08:39:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Marco Somoza 2009-06-13 11:47:02 EDT
Well I've tested with the final fedora 11 live CD and it works great!
Comment 25 Adam Williamson 2009-06-16 20:53:56 EDT
Great, thanks for the report! Closing the bug, then.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.